<!doctype html>
<html>

  <head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<title>{% block title %}{% endblock %}</title>
  </head>

  <body>
    <div id="page">
      <div id="header">
        <h1>Micro Service App {% if args.first_name %} - Welcome {{args.first_name}} {% endif %}</h1>
        <div id="home">
          <a href="/">Home</a><br>
        </div>
        {% if args.first_name %}
        <div id="marketSummaries">
          <a href="/marketSummaries">Get All Market Summaries</a><br>
        </div>
        <div id="specificMarketSummary">
          <a href="/specificMarketSummary">Get specific Market Summaries</a><br>
        </div>
        <div id="logout">
          <a href="/logout">Logout</a><br>
        </div>
        {% else %}
          <div id="login">
            <a href="/login">Login </a><br>
          </div>
          <div id="sign_up">
            <a href="/sign_up">Sign Up</a><br>
          </div>
        {% endif %}
      </div>
      
      <div id="content">
        {% block content %}

        {% endblock %}
      </div>
    </div>
</body>
</html>
